package com.maintain.web.controller.tool;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/tool/jm")
public class ReportController {

    @Autowired
    Environment environment;

    //报表设计
    @GetMapping(value = "/reportList")
    public String ReportList(){
        return "http://10.100.102.82:" + environment.getProperty("server.port") + "/jmreport/list";
    }

    //报表查看
    @GetMapping(value = "/reportView")
    public String ReportView(){
        return "http://10.100.102.82:" + environment.getProperty("server.port") + "/jmreport/view";
    }

    //报表查看
    @GetMapping(value = "/biList")
    public String bi(){
        return "http://10.100.102.82:" + environment.getProperty("server.port") + "/drag/list";
    }

    //报表查看
    @GetMapping(value = "/biView")
    public String biView(){
        return "http://10.100.102.82:" + environment.getProperty("server.port") + "/drag/share/view";
    }
}
